Skip to main content
GET
Get defect
Requires read:defects. Returns one defect for the authenticated builder. The defectId path parameter is the defect_-prefixed ID returned by the list endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

read:defects

Read defects

Path Parameters

builderId
string
required
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

defectId
string
required

The defect_-prefixed defect ID

Example:

"defect_extapidefect01"

Response

The defect

id
string

A defect_-prefixed defect ID

Example:

"defect_extapidefect01"

builderId
string
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

projectId
string
Example:

"proj_clgbsb90b001qjy0f0eo1hscp"

projectName
string
Example:

"Downtown Mall Construction"

number
integer

The human-facing sequence number within the project and defect type

Example:

1

title
string | null
Example:

"Damaged wall finish"

description
string | null
Example:

"Repair the damaged wall finish on Level 1."

status
enum<string>
Available options:
TO_DO,
IN_PROGRESS,
WAITING_REVIEW,
BLOCKED,
RESOLVED,
CANCELLED
priority
enum<string> | null
Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
type
string | null

Builder-defined defect type

Example:

"BUILDER_DEFECT"

dueDate
string<date-time> | null
tags
string[]
location
object | null
assigner
object | null

The assigning admin user, identified by a user_-prefixed ID

assignees
object[]
attachments
object[]
distributedAt
string<date-time> | null
completedAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>